# Class LosExpDecrVolumeDensityDEM

java.lang.Object
gaia.cu9.tools.parallax.PDF.DistanceEstimationMethod
gaia.cu9.tools.parallax.PDF.ExpDecrVolumeDensityDEM
gaia.cu9.tools.parallax.PDF.LosExpDecrVolumeDensityDEM

public class LosExpDecrVolumeDensityDEM extends ExpDecrVolumeDensityDEM

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static double[][]`
`scaleMatrix`

## Constructor Summary

Constructors
Constructor
Description
`LosExpDecrVolumeDensityDEM(StarVariables star)`

## Method Summary

Modifier and Type
Method
Description
`protected static double`
`getScale(double b, double l)`
`protected static double`
`getScale(StarVariables star)`
`protected static void`
`loadScaleMatrix(String filename)`

### Methods inherited from class ExpDecrVolumeDensityDEM

`createDistancePdf, createModulusPdf`

### Methods inherited from class DistanceEstimationMethod

`getDistanceModulusPDF, getDistancePDF, initPdfs`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### scaleMatrix

protected static double[][] scaleMatrix

## Constructor Details

### LosExpDecrVolumeDensityDEM

public LosExpDecrVolumeDensityDEM(StarVariables star)

## Method Details

### loadScaleMatrix

protected static void loadScaleMatrix(String filename)

### getScale

protected static double getScale(StarVariables star)

### getScale

protected static double getScale(double b, double l)